# Yaf_View_Simple::__construct

(Yaf >=1.0.0)

Yaf_View_Simple::__construct — El constructor de Yaf_View_Simple

### Descripción

final public Yaf_View_Simple::__construct(string `$template_dir`, array `$options` = ?)

### Parámetros

`template_dir`

  El directorio base de las plantillas, por omisión es APPLICATOIN . "/views" para Yaf.

`options`

      Opciones para el motor, a partir de Yaf 2.1.13, se pueden usar etiquetas cortas
            "<?=$var?>" en las plantillas (sin tener en cuenta "short_open_tag"),
            por lo que viene una opción llamada "short_tag", se puede desactivar
            para prevenir el uso de short_tag en las plantillas.

### Ejemplos

Ejemplo #1 Ejemplo de Yaf_View_Simple::__constructor()

`<?php
define ("TEMPLATE_DIRECTORY", APPLICATOIN_PATH . '/views');
$view = new Yaf_View_Simple(TEMPLATE_DIRECTORY, array(
'short_tag' => false //no se permite el uso de etiquetas cortas en las plantillas
));
?>`